%global modname moksha.common

Summary:        Common components for Moksha
Name:           python-moksha-common
Version:        1.2.5
Release:        1%{?dist}
License:        ASL 2.0 or MIT
URL:            https://pypi.org/project/moksha.common
Source0:        https://pypi.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools python3-mock python3-decorator
BuildRequires:  python3-kitchen python3-pytz python3-six python3-nose

BuildArch:      noarch

%description
Common components for Moksha.

%package -n python3-moksha-common
Summary:        Common components for Moksha
Requires:       python3-decorator python3-kitchen python3-pytz python3-six

%description -n python3-moksha-common
Common components for Moksha.

%prep
%autosetup -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install
cp moksha/__init__.py %{buildroot}/%{python3_sitelib}/moksha/

%check
%{__python3} setup.py test

%files -n python3-moksha-common
%doc README COPYING AUTHORS
%{python3_sitelib}/moksha/
%{python3_sitelib}/%{modname}-%{version}*
%{_bindir}/moksha

%changelog
* Fri May 05 2023 Miaojun Dong <zoedong@tencent.com> - 1.2.5-1
- initial build
